# Generated automatically from Makefile.in by configure.
# Makefile.in for thttpd
#
# Copyright  1995,1998 by Jef Poskanzer <jef@acme.com>.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.


############### MPH
DSPLINUX_DEBUG = false
include /opt/DSPLinux/rules/makeinclude
PLATFORM_ROOT = $(shell pwd)/../..
CGI_DIR =$(PLATFORM_ROOT)/fs/TIDSC21_EVM/binaries/usr/local/www
BIN_DIR =$(PLATFORM_ROOT)/fs/TIDSC21_EVM/binaries/usr/local/sbin
#BIN_DIR1 =$(PLATFORM_ROOT)/fs/fs/usr/local/sbin

# CONFIGURE: Directory for CGI executables.


CCOPT =		-O
DEFS =		 -DHAVE_FCNTL_H=1 -DHAVE_GRP_H=1 -DHAVE_MEMORY_H=1 -DHAVE_PATHS_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_DIRENT_H=1 -DHAVE_STRERROR=1 -DHAVE_WAITPID=1 -DHAVE_VSNPRINTF=1 -DHAVE_SETSID=1 -DHAVE_GAI_STRERROR=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_SELECT=1 -DHAVE_SOCKADDR_STORAGE=1 -DHAVE_SOCKADDR_IN6=1 -DSEC_PORT


INCLS =		-I. -I../cgi/inc -I../../linux/include
# for more debug output, -DDEBUG
CFLAGS +=	$(CCOPT) $(DEFS) $(INCLS)
### Melinda add for testing ####
#CFLAGS +=	-DTESTING -DSIMU_TIME -DDEF_MPEG  
#CFLAGS +=	-DTESTING -DSKIP_T 
#CFLAGS +=	-DTESTING -DSIMU_DELAY 
#CFLAGS +=	-DSIMU_SENDTIME
#CFLAGS +=	-DSIMU_TIME  
#CFLAGS +=	-DDEF_MPEG  
CFLAGS +=	-DTESTING
################################


# LDFLAGS =
LIBS = -lcrypt ../cgi/lib/libCMOS.a ../cgi/lib/libAUDIO.a
NETLIBS =	
INSTALL =	/usr/bin/install -c



.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $*.c

SRC =		thttpd.c libhttpd.c fdwatch.c mmc.c timers.c match.c tdate_parse.c syslog.c

OBJ =		$(SRC:.c=.o) 

ALL =		thttpd

GENHDR =	mime_encodings.h mime_types.h

CLEANFILES =	$(ALL) $(OBJ) $(GENSRC) $(GENHDR) *.elf



all:		this 
this:		$(ALL)

thttpd: $(OBJ) ../cgi/obj/IMG_conf.o ../cgi/obj/PRO_file.o ../cgi/obj/SYS_log.o
	@rm -f $@
#	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS) $(NETLIBS)
	$(CC) $(CFLAGS) $(STARTUP) $^ $(LDFLAGS) -o $@ $(LIBS) $(NETLIBS)
ifeq (${DSPLINUX_ARCH},TIDSC21_EVM)
	mv $@ $@.elf
ifeq (${DSPLINUX_DEBUG},true)
		@echo "creating $@.elf (debug executable) file..."
		mv $@.elf tmp-dsplinux-tmp.elf
		$(LD) -o $@.elf $(LLDFLAGS) tmp-dsplinux-tmp.elf
		rm tmp-dsplinux-tmp.elf

		@echo "creating $@.gdb (debug) file..."
		$(LD) -o $@.gdb $(GLDFLAGS) $@.elf
endif
	ldelf2flt -s 12288 -o $@ $@.elf
endif

libhttpd.o:		mime_encodings.h
mime_encodings.h:	mime_encodings.txt
	rm -f mime_encodings.h
	sed < mime_encodings.txt > mime_encodings.h \
	  -e 's/#.*//' -e 's/[ 	]*$$//' -e '/^$$/d' \
	  -e 's/[ 	][ 	]*/", "/' -e 's/^/{ "/' -e 's/$$/" },/'

libhttpd.o:	mime_types.h
mime_types.h:	mime_types.txt
	rm -f mime_types.h
	sed < mime_types.txt > mime_types.h \
	  -e 's/#.*//' -e 's/[ 	]*$$//' -e '/^$$/d' \
	  -e 's/[ 	][ 	]*/", "/' -e 's/^/{ "/' -e 's/$$/" },/'


install:	installthis

installthis:
	$(INSTALL) -D --mode=0755 thttpd $(BIN_DIR)/thttpd
	#$(INSTALL) -D --mode=0755 thttpd $(BIN_DIR1)/thttpd
	$(INSTALL) -D --mode=0644 thttpd.conf $(CGI_DIR)/thttpd.conf
###	$(INSTALL) -D --mode=0755 start $(CGI_DIR)/start


clean:
	rm -f $(CLEANFILES)

thttpd.o:	config.h version.h libhttpd.h fdwatch.h mmc.h timers.h match.h
libhttpd.o:	config.h version.h libhttpd.h mime_encodings.h mime_types.h \
		mmc.h timers.h match.h tdate_parse.h
fdwatch.o:	fdwatch.h
mmc.o:		mmc.h
timers.o:	timers.h
match.o:	match.h
tdate_parse.o:	tdate_parse.h
